Subject: Re: bug#55386: 29.0.50; check-declare-directory doesn't work on Windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 May 2022 14:25:10 +0200

Yasuhiro Kimura <[email-masked]> writes:

>   insert-file-contents("/usr/bin/find: paths must precede expression: `with-editor.el'")
>   check-declare-scan("/usr/bin/find: paths must precede expression: `with-editor.el'")
>   check-declare-files("/usr/bin/find: paths must precede expression: `with-editor.el'" "/usr/bin/find: possible unquoted pattern after predicate `-name'?")
>   apply(check-declare-files ("/usr/bin/find: paths must precede expression: `with-editor.el'" "/usr/bin/find: possible unquoted pattern after predicate `-name'?"))
>   check-declare-directory("~/Work/Emacs/with-editor/lisp/")

[...]

> But when I directly evaluated check-declare-directory from *scratch*
> buffer, I executed emacs from command prompt of Windows. And in this
> case there is neither find.exe nor grep.exe in my PATH directories. So
> check-declare-directory fails differently. And I wrongly reported it
> as the bug of Emacs. Actually if I execute emacs from shell of MSYS2,
> then steps of original bug report mail results in expected behavior.
>
> I don't know why above build error happens. But probably it is bug of
> the elisp applications in question.  So I'll report it to the author
> of them.

There does seem to be an issue in `check-declare-directory' in Emacs
under Windows, though -- find is complaining about syntax errors in the
"find" command we're constructing.

Eli, does `check-declare-directory' work for you on some Lisp directory
on Windows?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no